proc LoadSettings { } {
 global me files env

 if {[catch {open $files(config) r} fd]} {
    if {[catch {exec cp $me(path)/config/config.sample $env(HOME)/.xsatrc} err]} {
      return
    }
    lappend me(created) "$env(HOME)/.xsatrc"

    if {[catch {open $files(config) r} fd]} {
      return
    }
 }

 set settings [split [read $fd] \n]

 foreach line $settings  {
   set setting [lrange [split $line] 1 end];
   set setting [string trim $setting "{}"];
   set setting [string trim $setting];
   set [lindex [split $line] 0] $setting;
 }
 catch {close $fd}



 if {[catch {open $files(account) r} fd]} {
    if {[catch {exec cp $me(path)/config/account.txt $me(path)/account.txt} err]} {
      return
    }
    lappend me(created) "$me(path)/account.txt"

    if {[catch {open $files(account) r} fd]} {
      return
    }
 }

 set settings [split [read $fd] \n]
 set me(user) [lindex $settings 0]
 set me(pass) [lindex $settings 1]

 catch {close $fd}


 if {[catch {open $files(shares) r} fd]} {
    if {[catch {exec cp $me(path)/config/shares.txt $me(path)/shares.txt} err]} {
      return
    }
    lappend me(created) "$me(path)/shares.txt"

    if {[catch {open $files(shares) r} fd]} {
       return
    }
 }

 set settings [split [read $fd] \n]
 set me(shares) [lindex $settings 0]
 catch {close $fd}


}

proc SaveSettings {} {
 global me files

 if {[catch {open $files(config) w} fd]} {
    puts "$fd"
    return
 }

 puts $fd "me(browser) $me(browser)"
 puts $fd "me(player) $me(player)"
 puts $fd "me(url) $me(url)"
 puts $fd "me(autoremove) $me(autoremove)"
 puts $fd "me(autoplay) $me(autoplay)"
 puts $fd "me(notify) $me(notify)"
 puts $fd "me(geometry) [wm geometry .]"

 catch {close $fd}

 if {[catch {open $files(account) w} fd]} {
    puts "$fd"
    return
 }

 puts $fd "$me(user)"
 puts $fd "$me(pass)"

 catch {close $fd}

 if {[catch {open $files(shares) w} fd]} {
    puts "$fd"
    return
 }

 puts $fd "$me(shares)"

 catch {close $fd}


 LoadSettings
}
